AnsweredAssumed Answered

CLI Install Failing in Ubuntu

Question asked by Kevin Wright on Nov 8, 2017
Latest reply on Nov 12, 2017 by Stuart Ryan

I am having the hardest time getting the CLI up and running in Ubuntu. In windows, I get it just fine. 

 

Upon install I get this error: 

 

CLI Error

It's telling me I need a certain version of Chai, which I have made sure that I have. 

 

 

The only response I can get from it is when I type "canvasDataCli" and it screams this: 

 

kevin-HP-Pavilion-Laptop-15-cc1xx ~ # canvasDataCli
module.js:538
throw err;
^

Error: Cannot find module './lib/Api'
at Function.Module._resolveFilename (module.js:536:15)
at Function.Module._load (module.js:466:25)
at Module.require (module.js:579:17)
at require (internal/module.js:11:18)
at Object.<anonymous> (/usr/local/lib/node_modules/canvas-data-cli/index.js:2:8)
at Module._compile (module.js:635:30)
at Object.Module._extensions..js (module.js:646:10)
at Module.load (module.js:554:32)
at tryModuleLoad (module.js:497:12)
at Function.Module._load (module.js:489:3)

 

Can anyone help me out with this?

 

PS. I posted this in developers because that forum is much more active, but if a moderator could cross-list it to the Canvas Data group that would be great. 

Outcomes